"""Physical constants frequently used in elements and nuclides related tasks."""

from __future__ import annotations

from typing import Final

AVOGADRO: Final = 6.022_140_76e23
"""Avogadro constant by CODATA 2022."""

ATOMIC_MASS_CONSTANT: Final = 1.660_539_068_92e-27
"""Atomic mass constant (dalton) in kg."""

ATOMIC_MASS_CONSTANT_IN_MEV: Final = 931.49410372
"""Atomic mass constant (dalton) in MeV."""

NEUTRON_MASS: Final = 1.674_927_500_56e-27
"""Neutron mass in kg by CODATA 2022."""

NEUTRON_MASS_IN_MEV: Final = 939.565_421_94
"""Neutron mass in MeV by CODATA 2022."""


NEUTRON_HALF_LIFE: Final = 611.0
"""Neutron half-life time, seconds."""
